Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCMklabel

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                        |
                        +--org.apache.tools.ant.taskdefs.optional.clearcase.CCMklabel

public class CCMklabel
extends ClearCase

Task to perform mklabel command to ClearCase.

The following attributes are interpreted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
replace | Replace a label of the same type on the same branch | No
recurse | Process each subdirectory under viewpath | No
version | Identify a specific version to attach the label to | No
typename | Name of the label type | Yes
vob | Name of the VOB | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
failonerr | Throw an exception if the command fails. Default is true | No

Field Summary
`static java.lang.String` | `FLAG_COMMENT` -c flag -- comment to attach to the file
`static java.lang.String` | `FLAG_COMMENTFILE` -cfile flag -- file containing a comment to attach to the file
`static java.lang.String` | `FLAG_NOCOMMENT` -nc flag -- no comment is specified
`static java.lang.String` | `FLAG_RECURSE` -recurse flag -- process all subdirectories
`static java.lang.String` | `FLAG_REPLACE` -replace flag -- replace another label of the same type
`static java.lang.String` | `FLAG_VERSION` -version flag -- attach label to specified version

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CCMklabel()`

Method Summary
`void` | `execute()` Executes the task.
`java.lang.String` | `getComment()` Get comment string
`java.lang.String` | `getCommentFile()` Get comment file
`boolean` | `getRecurse()` Get recurse flag status
`boolean` | `getReplace()` Get replace flag status
`java.lang.String` | `getTypeName()` Get type-name
`java.lang.String` | `getVersion()` Get version flag status
`java.lang.String` | `getVOB()` Get VOB name
`void` | `setComment(java.lang.String comment)` Set comment string
`void` | `setCommentFile(java.lang.String cfile)` Set comment file
`void` | `setRecurse(boolean recurse)` Set recurse flag
`void` | `setReplace(boolean replace)` Set the replace flag
`void` | `setTypeName(java.lang.String tn)` Set the type-name
`void` | `setVersion(java.lang.String version)` Set the version flag
`void` | `setVOB(java.lang.String vob)` Set the VOB name

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_REPLACE

    public static final java.lang.String FLAG_REPLACE

  -replace flag -- replace another label of the same type

  See Also:
    Constant Field Values

### FLAG_RECURSE

    public static final java.lang.String FLAG_RECURSE

  -recurse flag -- process all subdirectories

  See Also:
    Constant Field Values

### FLAG_VERSION

    public static final java.lang.String FLAG_VERSION

  -version flag -- attach label to specified version

  See Also:
    Constant Field Values

### FLAG_COMMENT

    public static final java.lang.String FLAG_COMMENT

  -c flag -- comment to attach to the file

  See Also:
    Constant Field Values

### FLAG_COMMENTFILE

    public static final java.lang.String FLAG_COMMENTFILE

  -cfile flag -- file containing a comment to attach to the file

  See Also:
    Constant Field Values

### FLAG_NOCOMMENT

    public static final java.lang.String FLAG_NOCOMMENT

  -nc flag -- no comment is specified

  See Also:
    Constant Field Values

Constructor Detail

### CCMklabel

    public CCMklabel()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if the command fails and failonerr is set to true

### setReplace

    public void setReplace(boolean replace)

  Set the replace flag

  Parameters:
    `replace` - the status to set the flag to

### getReplace

    public boolean getReplace()

  Get replace flag status

  Returns:
    boolean containing status of replace flag

### setRecurse

    public void setRecurse(boolean recurse)

  Set recurse flag

  Parameters:
    `recurse` - the status to set the flag to

### getRecurse

    public boolean getRecurse()

  Get recurse flag status

  Returns:
    boolean containing status of recurse flag

### setVersion

    public void setVersion(java.lang.String version)

  Set the version flag

  Parameters:
    `version` - the status to set the flag to

### getVersion

    public java.lang.String getVersion()

  Get version flag status

  Returns:
    boolean containing status of version flag

### setComment

    public void setComment(java.lang.String comment)

  Set comment string

  Parameters:
    `comment` - the comment string

### getComment

    public java.lang.String getComment()

  Get comment string

  Returns:
    String containing the comment

### setCommentFile

    public void setCommentFile(java.lang.String cfile)

  Set comment file

  Parameters:
    `cfile` - the path to the comment file

### getCommentFile

    public java.lang.String getCommentFile()

  Get comment file

  Returns:
    String containing the path to the comment file

### setTypeName

    public void setTypeName(java.lang.String tn)

  Set the type-name

  Parameters:
    `tn` - the type name

### getTypeName

    public java.lang.String getTypeName()

  Get type-name

  Returns:
    String containing type name

### setVOB

    public void setVOB(java.lang.String vob)

  Set the VOB name

  Parameters:
    `vob` - the VOB name

### getVOB

    public java.lang.String getVOB()

  Get VOB name

  Returns:
    String containing VOB name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.